<?php
/**
 * Class PDO qui gère la base de donnée
 */
class PdoGsb
{
	private static $serveur = 'pgsql:host=localhost';
	private static $bdd = 'dbname=gsb2024';
	private static $user = 'postgres';
	private static $mdp = 'postgres';
	private static $pdo;
	private static $monPdoGsb = null;
	/**
	 * Constructeur prive, cree l'instance de PDO qui sera sollicitee
	 * pour toutes les methodes de la classe
	 */
	public function __construct()
	{
		PdoGsb::$pdo = new PDO(PdoGsb::$serveur . ';' . PdoGsb::$bdd, PdoGsb::$user, PdoGsb::$mdp);

		//PdoGsb::$monPdo->query("SET CHARACTER SET utf8");SET client_encoding = 'UTF8'; 
	}
	public function _destruct()
	{
		PdoGsb::$monPdo = null;
	}
	/**
	 * Fonction statique qui cree l'unique instance de la classe
	 * Appel : $instancePdoGsb = PdoGsb::getPdoGsb();
	 * @return pdo
	 */
    public function getPdoGsb()
    {
        return PdoGsb::$pdo;
    }
}
